## org.apache.commons.math.linear
Interface CholeskyDecomposition

All Known Implementing Classes:
  CholeskyDecompositionImpl

    public interface CholeskyDecomposition

An interface to classes that implement an algorithm to calculate the Cholesky decomposition of a real symmetric positive-definite matrix.

This interface is based on the class with similar name from the JAMA library, with the following changes:

- a `getLT` method has been added,
- the `isspd` method has been removed, the constructors of implementation classes being expected to throw `NotPositiveDefiniteMatrixException` when a matrix cannot be decomposed,
- a `getDeterminant` method has been added,
- the `solve` method has been replaced by a `getSolver` method and the equivalent method provided by the returned `DecompositionSolver`.

Since:
  2.0
Version:
  $Revision: 826627 $ $Date: 2009-10-19 06:27:47 -0400 (Mon, 19 Oct 2009) $
See Also:
  MathWorld, Wikipedia

Method Summary
`double` `getDeterminant()` Return the determinant of the matrix
`RealMatrix` `getL()` Returns the matrix L of the decomposition.
`RealMatrix` `getLT()` Returns the transpose of the matrix L of the decomposition.
`DecompositionSolver` `getSolver()` Get a solver for finding the A × X = B solution in least square sense.

Method Detail

### getL

    RealMatrix getL()

  Returns the matrix L of the decomposition.

  L is an lower-triangular matrix

  Returns:
    the L matrix

### getLT

    RealMatrix getLT()

  Returns the transpose of the matrix L of the decomposition.

  LT is an upper-triangular matrix

  Returns:
    the transpose of the matrix L of the decomposition

### getDeterminant

    double getDeterminant()

  Return the determinant of the matrix

  Returns:
    determinant of the matrix

### getSolver

    DecompositionSolver getSolver()

  Get a solver for finding the A × X = B solution in least square sense.

  Returns:
    a solver

Copyright (c) 2003-2010 Apache Software Foundation